

#ifndef __OB_INTERFACE_H__
#define __OB_INTERFACE_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"
#include "mem.h"
#include "flash_interface.h"


#define OB0_ADDRESS     (uint32_t)0x1FFFF800
#define OB1_ADDRESS     (uint32_t)0x1FFFF804
#define OB2_ADDRESS     (uint32_t)0x1FFFF808
#define OB3_ADDRESS     (uint32_t)0x1FFFF80C


uint8_t ob_read(uint32_t addr, uint8_t length, uint8_t *pdata);
uint8_t ob_write(uint32_t addr, uint8_t length, uint16_t *pdata);


#ifdef __cplusplus
}
#endif


#endif
