

#ifndef __MEM_H__
#define __MEM_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"


/* Memory error type */
#define MEM_ERROR_NONE              (uint8_t)0x00           /*!< None memory operation error. */
#define MEM_ERROR_PERMISSION        (uint8_t)0x01           /*!< None memory operation permission. */
#define MEM_ERROR_FAIL              (uint8_t)0x02           /*!< Memory operation fail. */
#define FLASH_ERROR_TIMEOUT         (uint8_t)0x03           /*!< Memory operation timeout. */


#ifdef __cplusplus
}
#endif


#endif
