/**
  ******************************************************************************
  * @file    Project/CS32F10x_StdPeriph_Template/cs32f10x_it.h 
  * @author  ChipSea MCU Group
  * @version V1.0.0
  * @date    2021.06.01
  * @brief   This file contains the headers of the interrupt handlers.
  ******************************************************************************
  * @attention
  * <h2><center>&copy; COPYRIGHT 2021 ChipSea</center></h2>
  ******************************************************************************
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __CS32F10x_IT_H
#define __CS32F10x_IT_H

#ifdef __cplusplus
 extern "C" {
#endif 

/* Includes ------------------------------------------------------------------*/
#include "cs32f10x.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);

#ifdef __cplusplus
}
#endif

#endif /* __CS32F10x_IT_H */

/******************* (C) COPYRIGHT 2021 ChipSea *****END OF FILE****/
