

#ifndef __RAM_INTERFACE_H__
#define __RAM_INTERFACE_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"
#include "mem.h"
#include "flash_interface.h"


uint8_t ram_read(uint32_t addr, uint8_t length, uint8_t *pdata);
uint8_t ram_write(uint32_t addr, uint8_t length, uint16_t *pdata);


#ifdef __cplusplus
}
#endif


#endif
