

//#include "hal_comm_usart.h"
#include "common.h"
#include "cmd_process.h"
#include "csboot.h"
#include <stdbool.h>


uint8_t chip_reset_flag;
static uint8_t comm_status;


int main(void)
{
    chip_reset_flag = 0;
    comm_data_flag = 0;
    comm_rx_index = 0;
    systick_counter = 0;
    
    csboot_init();
    csboot_handle.csboot_comm_init();

    comm_timeout_check();

    while(1)
    {
        FWDT->CCODE = 0x0000AAAA;
        comm_status = csboot_handle.csboot_data_receive();
        
        if(comm_status != COMM_PACKET_NONE)
        {
            csboot_command_proess(comm_status);
            csboot_handle.csboot_data_send();
            comm_status = COMM_PACKET_NONE;
        }
        if(chip_reset_flag)
        {
            SCB->AIRCR = 0x05FA0004;
            for(;;);
        }
    }
}
